<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <TextView
        android:id="@+id/tv_device_info"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:textColor="@color/colorAccent" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center_vertical">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="CID:" />

        <EditText
            android:id="@+id/et_cid"
            android:layout_width="120dp"
            android:layout_height="wrap_content"
            android:digits="0123456789ABCDEFabcdef"
            android:hint="填入cid(hex)" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="A6,A7发送数据只需要填payLoad数据\n自定义发送需要填完整的指令"
            android:textColor="@color/colorAccent"
            android:textSize="12dp" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">


        <EditText
            android:id="@+id/et"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:digits="0123456789ABCDEFabcdef"
            android:hint="输入payload数据(16进制)" />

        <Button
            android:id="@+id/send"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="A7发送" />
    </LinearLayout>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">


        <EditText
            android:id="@+id/et_a6"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:digits="0123456789ABCDEFabcdef"
            android:hint="输入payload数据(16进制)" />

        <Button
            android:id="@+id/send_a6"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="A6发送" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">


        <EditText
            android:id="@+id/et_customize"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:digits="0123456789ABCDEFabcdef"
            android:hint="输入完整的指令(16进制)"
            android:textColorHint="@color/colorAccent" />

        <Button
            android:id="@+id/send_customize"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="自定义发送" />
    </LinearLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/clReturn"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/green"
        >
        <TextView
            android:id="@+id/tvTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            android:textSize="12dp"
            android:text="输入接收到的指定内容就会自动回复"
            />

        <EditText
            android:id="@+id/etReceive"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:hint="收到的数据(从头开始匹配)"
            android:textSize="14dp"
            android:textColorHint="@color/colorAccent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tvTitle" />

        <EditText
            android:id="@+id/etSend"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:hint="发送的数据"
            android:textSize="14dp"
            android:textColorHint="@color/colorAccent"
            app:layout_constraintEnd_toStartOf="@id/btnSetAutoSend"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/etReceive" />

        <Button
            android:id="@+id/btnSetAutoSend"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="设置"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@id/etSend" />


    </androidx.constraintlayout.widget.ConstraintLayout>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">


        <Button
            android:id="@+id/bt_clear"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="清空输入" />

        <Button
            android:id="@+id/bt_clear_log"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="清空log" />

        <Button
            android:id="@+id/btPause"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="暂停" />


    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">


        <Button
            android:id="@+id/btDis"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="断开" />

        <Button
            android:id="@+id/btConnect"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="连接" />


    </LinearLayout>


    <ListView
        android:id="@+id/listview"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />
</LinearLayout>